                    /* ofertas */
                
                input[name="slider-select-element"] {
                    display: none;
                }
                
                #slider-box {
                    -moz-animation: autoSlider 15s infinite linear;
                    -o-animation: autoSlider 15s infinite linear;
                    -webkit-animation: autoSlider 15s infinite linear;
                    animation: autoSlider 15s infinite linear;
                    -webkit-transition: all 0.75s ease;
                    -moz-transition: all 0.75s ease;
                    -ms-transition: all 0.75s ease;
                    -o-transition: all 0.75s ease;
                    transition: all 0.75s ease;
                    height: 100%;
                    width: 300%;
                }
                
                #slider-container {
                    margin: 0 auto;
                    overflow: hidden;
                    text-align: center;
                    width: 100%;
                    height: 100%;
                }
                
                .element-blue,
                .element-green,
                .element-red {
                    min-height: 400px;
                    max-height: 100%;
                    width: 100%;
                }
                
                .oferta {
                    background: blue;
                    width: 50%;
                    height: 50%;
                }
                
                .slider-element {
                    float: left;
                    width: 33.333%;
                }
                
                @-moz-keyframes autoSlider {
                    0% {
                        margin-left: 0;
                    }
                    30% {
                        margin-left: 0;
                    }
                    35% {
                        margin-left: -100%;
                    }
                    65% {
                        margin-left: -100%;
                    }
                    70% {
                        margin-left: -200%;
                    }
                    95% {
                        margin-left: -200%;
                    }
                    100% {
                        margin-left: 0;
                    }
                }
                
                @-webkit-keyframes autoSlider {
                    0% {
                        margin-left: 0;
                    }
                    30% {
                        margin-left: 0;
                    }
                    35% {
                        margin-left: -100%;
                    }
                    65% {
                        margin-left: -100%;
                    }
                    70% {
                        margin-left: -200%;
                    }
                    95% {
                        margin-left: -200%;
                    }
                    100% {
                        margin-left: 0;
                    }
                }
                
                @keyframes autoSlider {
                    0% {
                        margin-left: 0;
                    }
                    30% {
                        margin-left: 0;
                    }
                    35% {
                        margin-left: -100%;
                    }
                    65% {
                        margin-left: -100%;
                    }
                    70% {
                        margin-left: -200%;
                    }
                    95% {
                        margin-left: -200%;
                    }
                    100% {
                        margin-left: 0;
                    }
                }
                /* ofertas */
                
                .productos {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    flex-wrap: wrap;
                    align-items: stretch;
                    justify-content: center;
                }
                
                .productos div p {
                    width: 150px;
                    height: 24px;
                }
                
                .productos div a {
                    width: 160px;
                    height: 24px;
                }
                
                .productos {
                    background-color: bisque;
                    box-sizing: border-box;
                    text-align: center;
                    padding: 20px 0;
                    /* tamañlo de letra */
                    font-size: 20px;
                }
                
                .productos>div {
                    border-style: solid;
                    border-color: red;
                    border: 2px solid rgb(186, 192, 189);
                    border-radius: 10px;
                    margin: 3px;
                }
                
                img:hover {
                    /* border: 2px solid #ccc; */
                }
                
                .grillaproductos {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    flex-wrap: wrap;
                    align-items: stretch;
                    justify-content: center;
                }
                
                .grillaproductos {
                    background-color: bisque;
                    margin: auto;
                    box-sizing: border-box;
                    text-align: center;
                    padding: 20px 0;
                    /* tamañlo de letra */
                    font-size: 20px;
                }
                /* propiedaddes de cada div dendro del flexbox */
                
                .grillaproductos>div {
                    /* padding: 2px; */
                    border-style: solid;
                    border-color: rgb(155, 21, 21);
                    border: 2px solid rgb(186, 192, 189);
                    border-radius: 10px;
                    margin: 3px;
                }
                
                img {
                    /* flex: 0 1 auto; */
                    width: 310px;
                    height: 250px;
                    border-radius: 10px;
                }
                
                body {
                    min-height: 100vh;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    background: url("back.jpg");
                    background-position: center center;
                    /* Ruta relativa o completa a la imagen */
                    /* Centramos el fondo horizontal y verticalmente */
                    background-position: center center;
                    /* El fonde no se repite */
                    background-repeat: no-repeat;
                    /* Fijamos la imagen a la ventana para que no supere el alto de la ventana */
                    background-attachment: fixed;
                    /* El fonde se re-escala automáticamente */
                    background-size: cover;
                    /* background-color: rgba(0, 0, 0, 0.678); */
                }
                /* estilos para el cabezero */
                
                .cabezero {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    align-items: stretch;
                    align-content: flex-start;
                    /*Este valor lo puedes omitir si la altura de tu componente esta definida*/
                }
                
                .cabezero .botones {
                    display: flex;
                }
                
                .botones>div {
                    background-color: #ffffff;
                    margin: 10px;
                    text-align: center;
                    line-height: 75px;
                    font-size: 30px;
                }
                
                .cabezero>div {
                    background-color: #ffffff;
                    margin: 10px;
                    text-align: center;
                    line-height: 75px;
                    font-size: 30px;
                }
                
                .logo {
                    flex: 0 1 auto;
                }
                
                .logoPagina {
                    height: 100px;
                    width: 200px;
                }
                
                .formulario {
                    flex: 1 1 auto;
                }
                
                form {
                    height: 100px;
                    width: 175px;
                    display: inline;
                }
                
                .botonBuscar {
                    margin: 10px;
                    height: 40px;
                    width: 20%;
                }
                
                .buscarTexto {
                    height: 40px;
                    width: 70%;
                }
                
                .botonBuscar,
                .buscarTexto {
                    margin-top: 43px;
                }
                
                .botones {
                    flex: 0 1 auto;
                    height: 127px;
                    width: 150px;
                }
                
                .botoncuenta,
                .botoncarrito {
                    height: 40px;
                    width: 130%;
                    margin-top: 32px;
                }
                /* estilos para el cabezero */
                /* estilos para el cuerpo */
                
                .contenedor {
                    width: 90%;
                    max-width: 1000px;
                    margin: 20px auto;
                    display: grid;
                    grid-gap: 20px;
                    grid-template-columns: repeat(3, 1fr);
                    grid-template-rows: repeat(3, auto);
                    grid-template-areas: "cabezero cabezero cabezero" "ofertas ofertas ofertas" "productos productos productos" "grillaproductos grillaproductos  grillaproductos" "footer footer footer ""copy copy copy";
                }
                
                .contenedor>div,
                .contenedor .cabezero,
                .contenedor .productos,
                .contenedor .ofertas,
                .contenedor .grillaproductos,
                .contenedor footer,
                .contenedor .copyright {
                    background-color: rgb(255, 255, 255);
                    /*Color de fondo*/
                    padding: 20px;
                    border-radius: 4px;
                }
                
                .contenedor .cabezero {
                    border-radius: 0px;
                    background: #ffffff;
                    color: #fff;
                    grid-area: cabezero;
                }
                
                .contenedor .productos {
                    grid-area: productos;
                }
                
                .contenedor .ofertas {
                    grid-column: 3 / 4;
                    background: #ffffff;
                    text-align: center;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    min-height: 100px;
                    grid-area: ofertas;
                }
                
                .contenedor .grillaproductos {
                    /* height: 100px; */
                    grid-area: grillaproductos;
                }
                
                .contenedor footer {
                    grid-area: footer;
                }
                
                .contenedor .copyright {
                    grid-area: copy;
                }
                /* estilos para el cuerpo */
                /* flotante de whasapp */
                
                .float {
                    position: fixed;
                    width: 60px;
                    height: 60px;
                    bottom: 40px;
                    right: 40px;
                    background-color: #25d366;
                    color: #FFF;
                    border-radius: 50px;
                    text-align: center;
                    font-size: 30px;
                    box-shadow: 2px 2px 3px #999;
                    z-index: 100;
                }
                
                .float:hover {
                    text-decoration: none;
                    color: #25d366;
                    background-color: #fff;
                }
                
                .my-float {
                    margin-top: 16px;
                }
                /* flotante de whasapp */
                /* para celular */
                
                @media screen and (max-width:550px) {
                    .contenedor {
                        grid-template-areas: "cabezero cabezero cabezero" "ofertas ofertas ofertas" "productos productos productos" "grillaproductos grillaproductos  grillaproductos" "footer footer footer" " copy copy copy ";
                    }
                    /* celular */
                    .gridmenu {
                        grid-template-areas: "logo logo logo ""formulario formulario formulario"" ingreso ingreso ingreso""carrito carrito carrito";
                    }
                    .logo {
                        flex: 1 1 auto;
                    }
                    .logoPagina {
                        height: 100%;
                        width: 90%;
                    }
                    .botones {
                        flex: 1 1 auto;
                    }
                    .botones .ingreso {
                        flex: 1 1 auto;
                    }
                    .botones .carrito {
                        flex: 1 1 auto;
                    }
                    .botones .botoncarrito,
                    .botones .botoncuenta {
                        margin: 0px;
                        width: 100%;
                    }
                    @media screen and (max-width:380px) {
                        .botonBuscar,
                        .buscarTexto {
                            margin: 0px;
                            width: 100%;
                        }
                    }
                    @media screen and (max-width:750px) {
                        img {
                            /* flex: 0 1 auto; */
                            width: 296px;
                            height: 250px;
                        }
                        @media screen and (max-width:400px) {
                            img {
                                /* align-items: center; */
                                /* flex: 0 1 auto; */
                                width: 227px;
                                height: 200px;
                            }
                        }
                    }
                    /* estilos para el cabezero */